if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CUSTOMERS]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[CUSTOMERS]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ORDERS]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ORDERS]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ORDER_DETAILS]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ORDER_DETAILS]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PRODUCTS]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[PRODUCTS]
GO

CREATE TABLE [dbo].[CUSTOMERS] (
	[CUSTOMER_ID] [varchar] (10) COLLATE Latin1_General_CI_AS NOT NULL ,
	[COMPANY_NAME] [varchar] (50) COLLATE Latin1_General_CI_AS NULL ,
	[ADDRESS] [varchar] (50) COLLATE Latin1_General_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ORDERS] (
	[ORDER_ID] [int] NOT NULL ,
	[CUSTOMER_ID] [varchar] (10) COLLATE Latin1_General_CI_AS NOT NULL ,
	[ORDER_DATE] [datetime] NULL ,
	[SHIP_NAME] [varchar] (50) COLLATE Latin1_General_CI_AS NULL ,
	[SHIP_ADDRESS] [varchar] (50) COLLATE Latin1_General_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ORDER_DETAILS] (
	[ORDER_ID] [int] NOT NULL ,
	[PRODUCT_ID] [int] NOT NULL ,
	[UNIT_PRICE] [money] NOT NULL ,
	[QUANTITY] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PRODUCTS] (
	[PRODUCT_ID] [int] NOT NULL ,
	[PRODUCT_NAME] [varchar] (50) COLLATE Latin1_General_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[CUSTOMERS] WITH NOCHECK ADD 
	CONSTRAINT [PRI_CUSTOMER] PRIMARY KEY  CLUSTERED 
	(
		[CUSTOMER_ID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ORDERS] WITH NOCHECK ADD 
	CONSTRAINT [PRI_ORDERS] PRIMARY KEY  CLUSTERED 
	(
		[ORDER_ID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ORDER_DETAILS] WITH NOCHECK ADD 
	CONSTRAINT [PRI_ORDER_DETAILS] PRIMARY KEY  CLUSTERED 
	(
		[ORDER_ID],
		[PRODUCT_ID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PRODUCTS] WITH NOCHECK ADD 
	CONSTRAINT [PRI_PRODUCTS] PRIMARY KEY  CLUSTERED 
	(
		[PRODUCT_ID]
	)  ON [PRIMARY] 
GO

 CREATE  UNIQUE  INDEX [IDX1_CUSTOMER] ON [dbo].[CUSTOMERS]([CUSTOMER_ID]) ON [PRIMARY]
GO

